Subject: Re: [Bitcoin-development] Payment Protocol: BIP 70, 71, 72

From: Gavin Andresen <[email-masked]>
Date: Thu, 8 Aug 2013 10:48:07 +1000

I've updated the BIP 72 spec at https://en.bitcoin.it/wiki/BIP_0072 so
the bitcoin address is optional:

"If the "request" parameter is provided and backwards compatibility is
not required, then the bitcoin address portion of the URI may be
omitted (the URI will be of the form: bitcoin:?request=... )."

The spec already said what should happen if both request and
address/amount/etc were given:

"it should ignore the bitcoin address/amount/label/message in the URI
and instead fetch a PaymentRequest message and then follow the payment
protocol"

I think this gives us a smooth, clear upgrade path.

-- 
--
Gavin Andresen